nn.pp.vmcore

## Enum VirtualMediaEventListener.LockFailAction

- java.lang.Object
- - java.lang.Enum<VirtualMediaEventListener.LockFailAction>
  - - nn.pp.vmcore.VirtualMediaEventListener.LockFailAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VirtualMediaEventListener.LockFailAction>
  Enclosing interface:
    VirtualMediaEventListener

      public static enum VirtualMediaEventListener.LockFailAction
      extends java.lang.Enum<VirtualMediaEventListener.LockFailAction>

  The user's decision about what to do if the drive locking failed
  See Also:
    `VMCore.LockFailBehavior`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` Cancel the virtual media session.
    `IGNORE` Ignore the locking error and continue the virtual media session.
    `RETRY` Retry getting the lock.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VirtualMediaEventListener.LockFailAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VirtualMediaEventListener.LockFailAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RETRY

          public static final VirtualMediaEventListener.LockFailAction RETRY

      Retry getting the lock. If it fails again, the callback is called again.

    - #### IGNORE

          public static final VirtualMediaEventListener.LockFailAction IGNORE

      Ignore the locking error and continue the virtual media session.

    - #### CANCEL

          public static final VirtualMediaEventListener.LockFailAction CANCEL

      Cancel the virtual media session. This is the default behavior.

  - ### Method Detail

    - #### values

          public static VirtualMediaEventListener.LockFailAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VirtualMediaEventListener.LockFailAction c : VirtualMediaEventListener.LockFailAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VirtualMediaEventListener.LockFailAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.